SCRAM authentication to Postgres server on AWS

It is already marked as deprecated on the web page. If it were removed, I would have found this problem sooner but then the internal library did work for even a connection to a local PG v14.x when not using SCRAM. It just seems like once a class had been instantiated using the internal library, the next instance which tried to not use it and set my own libpq reference was effectively ignored albeit silently.

I don’t know if upgrading your internal libpq would have any backward compatibility issues.

Well, I had trouble building a newer version, so I prefer to use the dylib now.